> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/status-pages.md).

# Status Pages

## GET /v4/statuspages

> List Status Pages

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.StatusPages.ListStatusPagesResponse":{"type":"object","required":["data","meta"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V4.StatusPages.StatusPage"}},"meta":{"type":"object","properties":{"totalCount":{"type":"integer"},"orgTotalCount":{"type":"integer"}},"required":["totalCount","orgTotalCount"]}}},"V4.StatusPages.StatusPage":{"type":"object","required":["id","name","isPublic","domainName","timezone","logoUrl","components","isCustomDomainEnabled","isCustomARecordVerified","isCustomTxtVerified","txtRecord","aRecord","subscribersCount","status","underMaintenance","statusMaintenance","ownerType","ownerID"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"isPublic":{"type":"boolean"},"domainName":{"type":"string"},"customDomainName":{"type":"string"},"timezone":{"type":"string"},"logoUrl":{"type":"string"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}},"required":["id","name"]}},"isCustomDomainEnabled":{"type":"boolean"},"isCustomARecordVerified":{"type":"boolean"},"isCustomTxtVerified":{"type":"boolean"},"txtRecord":{"type":"string"},"aRecord":{"type":"string"},"subscribersCount":{"type":"integer"},"status":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"color":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","color","slug"]},"underMaintenance":{"type":"boolean"},"statusMaintenance":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"color":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","color","slug"]},"ownerType":{"type":"string"},"ownerID":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v4/statuspages":{"get":{"operationId":"StatusPages_listStatusPages","summary":"List Status Pages","parameters":[{"name":"pageSize","in":"query","required":true,"schema":{"type":"integer"},"explode":false},{"name":"pageNumber","in":"query","required":true,"schema":{"type":"integer"},"explode":false},{"name":"filters.isPublic","in":"query","required":true,"schema":{"type":"string"},"explode":false},{"name":"teamID","in":"query","required":true,"schema":{"type":"string"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V4.StatusPages.ListStatusPagesResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Status Pages"]}}}}
```

## POST /v4/statuspages

> Create Status Page

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.StatusPages.CreateStatusPageResponse":{"type":"object","required":["id","organizationID","name","isPublic","timezone","domainName","contactEmail","allowComponentsSubscription","allowMaintenanceSubscription","allowWebhookSubscription","ownerType","ownerID","teamID"],"properties":{"id":{"type":"integer"},"organizationID":{"type":"string"},"name":{"type":"string"},"isPublic":{"type":"boolean"},"timezone":{"type":"string"},"description":{"type":"string"},"domainName":{"type":"string"},"contactEmail":{"type":"string"},"themeColor":{"$ref":"#/components/schemas/V4.StatusPages.NewStatusPageThemeColor"},"components":{"type":"array","items":{"$ref":"#/components/schemas/V4.StatusPages.NewStatusPageComponentList"}},"allowComponentsSubscription":{"type":"boolean"},"allowMaintenanceSubscription":{"type":"boolean"},"allowWebhookSubscription":{"type":"boolean"},"ownerType":{"type":"string"},"ownerID":{"type":"string"},"teamID":{"type":"string"}}},"V4.StatusPages.NewStatusPageThemeColor":{"type":"object","properties":{"primary":{"type":"string"},"secondary":{"type":"string"}}},"V4.StatusPages.NewStatusPageComponentList":{"type":"object","required":["type","name"],"properties":{"type":{"type":"string","enum":["component","group"]},"name":{"type":"string"},"allowSubscription":{"type":"boolean"},"description":{"type":"string"},"components":{"type":"array","items":{"$ref":"#/components/schemas/V4.StatusPages.NewStatusPageComponent"}}}},"V4.StatusPages.NewStatusPageComponent":{"type":"object","required":["type","name","allowSubscription"],"properties":{"type":{"type":"string","enum":["component","group"]},"name":{"type":"string"},"allowSubscription":{"type":"boolean"},"description":{"type":"string"},"serviceID":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V4.StatusPages.CreateStatusPageRequest":{"type":"object","required":["name","domainName","logoUrl","timezone","teamID","contactEmail","ownerType","ownerID"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"isPublic":{"type":"boolean"},"domainName":{"type":"string"},"customDomainName":{"type":"string"},"logoUrl":{"type":"string"},"timezone":{"type":"string"},"teamID":{"type":"string"},"themeColor":{"$ref":"#/components/schemas/V4.StatusPages.NewStatusPageThemeColor"},"components":{"type":"array","items":{"$ref":"#/components/schemas/V4.StatusPages.NewStatusPageComponentList"}},"contactEmail":{"type":"string"},"allowWebhookSubscription":{"type":"boolean"},"allowComponentsSubscription":{"type":"boolean"},"allowMaintenanceSubscription":{"type":"boolean"},"ownerType":{"type":"string","enum":["team","user","squad"]},"ownerID":{"type":"string"}}}}},"paths":{"/v4/statuspages":{"post":{"operationId":"StatusPages_createStatusPage","summary":"Create Status Page","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.StatusPages.CreateStatusPageResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Status Pages"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V4.StatusPages.CreateStatusPageRequest"}}}}}}}}
```

## GET /v4/statuspages/{statuspageID}

> Get Status Page By ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.StatusPages.GetStatusPageByIdResponse":{"type":"object","required":["id","organizationID","name","isPublic","timezone","domainName","contactEmail","themeColor","allowComponentsSubscription","allowMaintenanceSubscription","allowWebhookSubscription","ownerType","ownerID","teamID"],"properties":{"id":{"type":"integer"},"organizationID":{"type":"string"},"name":{"type":"string"},"isPublic":{"type":"boolean"},"timezone":{"type":"string"},"description":{"type":"string"},"domainName":{"type":"string"},"customDomainName":{"type":"string"},"contactEmail":{"type":"string"},"themeColor":{"type":"object","properties":{"primary":{"type":"string"},"secondary":{"type":"string"}},"required":["primary","secondary"]},"allowComponentsSubscription":{"type":"boolean"},"allowMaintenanceSubscription":{"type":"boolean"},"allowWebhookSubscription":{"type":"boolean"},"ownerType":{"type":"string"},"ownerID":{"type":"string"},"teamID":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v4/statuspages/{statuspageID}":{"get":{"operationId":"StatusPages_getStatusPageById","summary":"Get Status Page By ID","parameters":[{"name":"statuspageID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.StatusPages.GetStatusPageByIdResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Status Pages"]}}}}
```

## PUT /v4/statuspages/{statuspageID}

> Update Status Page By ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.StatusPages.UpdateStatusPageByIdResponse":{"type":"object","required":["id","name","isPublic","timezone","domainName","contactEmail","themeColor","allowComponentsSubscription","allowMaintenanceSubscription","allowWebhookSubscription","hideFromSearchEngines","ownerType","ownerID","teamID"],"properties":{"id":{"type":"integer"},"organizationID":{"type":"string"},"name":{"type":"string"},"isPublic":{"type":"boolean"},"timezone":{"type":"string"},"description":{"type":"string"},"domainName":{"type":"string"},"customDomainName":{"type":"string"},"contactEmail":{"type":"string"},"themeColor":{"type":"object","properties":{"primary":{"type":"string"},"secondary":{"type":"string"}},"required":["primary","secondary"]},"allowComponentsSubscription":{"type":"boolean"},"allowMaintenanceSubscription":{"type":"boolean"},"allowWebhookSubscription":{"type":"boolean"},"hideFromSearchEngines":{"type":"boolean"},"ownerType":{"type":"string"},"ownerID":{"type":"string"},"teamID":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V4.StatusPages.UpdateStatusPageByIdRequest":{"type":"object","required":["name","isPublic","domainName","teamID","themeColor","contactEmail","ownerType","ownerID"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"isPublic":{"type":"boolean"},"domainName":{"type":"string"},"customDomainName":{"type":"string"},"logoUrl":{"type":"string"},"timezone":{"type":"string"},"teamID":{"type":"string"},"themeColor":{"type":"object","properties":{"primary":{"type":"string"},"secondary":{"type":"string"}},"required":["primary","secondary"]},"allowComponentsSubscription":{"type":"boolean"},"allowMaintenanceSubscription":{"type":"boolean"},"allowWebhookSubscription":{"type":"boolean"},"components":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"},"allowSubscription":{"type":"boolean"},"description":{"type":"string"},"components":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"name":{"type":"string"},"allowSubscription":{"type":"boolean"},"description":{"type":"string"},"serviceID":{"type":"string"}}}}}}},"contactEmail":{"type":"string"},"isCustomDomainEnabled":{"type":"boolean"},"hideFromSearchEngines":{"type":"boolean"},"ownerType":{"type":"string"},"ownerID":{"type":"string"}}}}},"paths":{"/v4/statuspages/{statuspageID}":{"put":{"operationId":"StatusPages_updateStatusPageById","summary":"Update Status Page By ID","parameters":[{"name":"statuspageID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.StatusPages.UpdateStatusPageByIdResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Status Pages"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V4.StatusPages.UpdateStatusPageByIdRequest"}}}}}}}}
```

## DELETE /v4/statuspages/{statuspageID}

> Delete Status Page By ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.StatusPages.DeleteStatusPageByIdResponse":{"type":"object","required":["id","name","organizationID","teamID"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"organizationID":{"type":"string"},"teamID":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v4/statuspages/{statuspageID}":{"delete":{"operationId":"StatusPages_deleteStatusPageById","summary":"Delete Status Page By ID","parameters":[{"name":"statuspageID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V4.StatusPages.DeleteStatusPageByIdResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Status Pages"]}}}}
```

## GET /v4/statuspages/{statuspageID}/status

> List Status Page Statuses

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V4.StatusPages.StatusPageStatusesResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V4.StatusPages.StatusPageStatus"}]},"V4.StatusPages.StatusPageStatus":{"type":"object","required":["id","name","status","description","color"],"properties":{"id":{"type":"integer"},"name":{"type":"string"},"status":{"type":"string"},"description":{"type":"string"},"color":{"type":"string"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v4/statuspages/{statuspageID}/status":{"get":{"operationId":"StatusPages_listStatusPageStatuses","summary":"List Status Page Statuses","parameters":[{"name":"statuspageID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V4.StatusPages.StatusPageStatusesResponse"}}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Status Pages"]}}}}
```
